Page MenuHomePhabricator

Add MobileFrontend dependency for ExternalGuidance
Closed, ResolvedPublic

Description

To fix errors like this: https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/29889/console

ExternalGuidance is an enhancement for MobileFrontend.

Event Timeline

santhosh created this task.Jan 8 2019, 11:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 11:42 AM
santhosh triaged this task as Normal priority.Jan 8 2019, 11:42 AM

Change 482766 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[integration/config@master] Add MobileFrontend dependency for ExternalGuidance

https://gerrit.wikimedia.org/r/482766

santhosh moved this task from Backlog to In Review on the ExternalGuidance board.Jan 8 2019, 11:44 AM
santhosh raised the priority of this task from Normal to Unbreak Now!.Jan 9 2019, 8:07 AM

Bumping priority since this is blocking all CI of ExternalGuidance patches. Just need review from CI team.

https://gerrit.wikimedia.org/r/q/project:mediawiki%252Fextensions%252FExternalGuidance+status:open

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJan 9 2019, 8:07 AM

Change 482766 merged by jenkins-bot:
[integration/config@master] Add MobileFrontend dependency for ExternalGuidance

https://gerrit.wikimedia.org/r/482766

Legoktm added a subscriber: Legoktm.Jan 9 2019, 8:01 PM

I've merged the CI patch, but if this extension depends upon MobileFrontend, it needs to be specified in extension.json instead of just being caught by test failures.

Legoktm closed this task as Resolved.Jan 9 2019, 8:01 PM
Legoktm assigned this task to santhosh.
santhosh moved this task from In Review to Done on the ExternalGuidance board.Feb 7 2019, 5:50 AM